Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.stream
Class EveryStage<Incoming>

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Stage<Incoming,Outgoing>
              cascading.flow.stream.ElementStage<Incoming,TupleEntry>
                  cascading.flow.stream.OperatorStage<Incoming>
                      cascading.flow.stream.EveryStage<Incoming>

All Implemented Interfaces:
  ElementDuct

Direct Known Subclasses:
  AggregatorEveryStage, BufferEveryWindow, GroupAssertionEveryStage

    public abstract class EveryStage<Incoming>

extends OperatorStage<Incoming>

Field Summary

Fields inherited from class cascading.flow.stream.OperatorStage
`argumentsBuilder, argumentsEntry, argumentsSelector, incomingEntry, operationCall, outgoingBuilder, outgoingEntry, outgoingSelector, outputCollector, remainderFields, RETAIN_COLLECTOR`

Fields inherited from class cascading.flow.stream.ElementStage
`branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`EveryStage(FlowProcess flowProcess, Every every)`

Method Summary
`Operator` | `getOperator()`

Methods inherited from class cascading.flow.stream.OperatorStage
`cleanup, complete, createArgumentsBuilder, createOutgoingBuilder, getIncomingArgumentsFields, getIncomingPassThroughFields, getOperationDeclaredFields, getOutgoingSelector, initialize, prepare`

Methods inherited from class cascading.flow.stream.ElementStage
`addIncomingScope, addOutgoingScope, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

Methods inherited from class cascading.flow.stream.Stage
`receive`

Methods inherited from class cascading.flow.stream.Duct
`bind, getNext, getNextFor, receiveFirst, start`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EveryStage

    public EveryStage(FlowProcess flowProcess,
                      Every every)

Method Detail

### getOperator

    public Operator getOperator()

  Specified by:
    `getOperator` in class `OperatorStage<Incoming>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.